import { EventPlugin, IdentifyEventType, PluginType, HightouchAPISettings, HightouchEvent, TrackEventType, ScreenEventType, GroupEventType, UpdateType, AliasEventType } from '@ht-sdks/events-sdk-react-native';
export declare class AmplitudeSessionPlugin extends EventPlugin {
    type: PluginType;
    key: string;
    active: boolean;
    sessionId: number | undefined;
    sessionTimer: ReturnType<typeof setTimeout> | undefined;
    update(settings: HightouchAPISettings, _: UpdateType): void;
    execute(event: HightouchEvent): HightouchEvent;
    identify(event: IdentifyEventType): IdentifyEventType;
    track(event: TrackEventType): TrackEventType;
    screen(event: ScreenEventType): ScreenEventType;
    group(event: GroupEventType): GroupEventType;
    alias(event: AliasEventType): AliasEventType;
    reset(): void;
    private insertSession;
    private resetSession;
    private refreshSession;
}
//# sourceMappingURL=AmplitudeSessionPlugin.d.ts.map